%define name    kvpnc
%define version 0.3
%define release 1mdk
%define Summary KDE frontend to vpnc

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}

License: GPL
Group: Graphical desktop/KDE
Source: kvpnc-%{version}.tar.bz2
URL: http://home.gna.org/kvpnc/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel
Requires: vpnc >= 0.2

%description
KVpnc is a VPN client for the KDE environment that uses vpnc, which is a 
replacement for the cisco VPN client and is used as client for the 
Cisco 3000 VPN Concentrator.

%prep
%setup -q

%build
%configure --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall

# Menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="Internet/Remote access" \
title="Kvpn" \
longtitle="%{Summary}"
EOF

install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_datadir}/applnk/Internet/kvpnc.desktop
%{_datadir}/apps/kvpnc/eventsrc
%{_datadir}/apps/kvpnc/kvpncui.rc
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/icons/*/*/actions/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%doc %_docdir/HTML/*/%{name}/*

%changelog
* Tue Jun 29 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.3-1mdk
- First Mandrake release